Bug 981650 - [abrt] policycoreutils-gui-2.1.14-46.4.fc19: __init__.py:284:gen_interfaces:ValueError: You must regenerate interface info by running /usr/bin/sepolgen-ifgen
[abrt] policycoreutils-gui-2.1.14-46.4.fc19: __init__.py:284:gen_interfaces:V...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:2989889508518079474ce7d83e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 07:59 EDT by Andre Vehreschild
Modified: 2013-08-28 13:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 13:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2013-07-05 07:59 EDT, Andre Vehreschild
no flags Details
File: core_backtrace (520 bytes, text/plain)
2013-07-05 07:59 EDT, Andre Vehreschild
no flags Details
File: environ (1.86 KB, text/plain)
2013-07-05 07:59 EDT, Andre Vehreschild
no flags Details

  None (edit)
Description Andre Vehreschild 2013-07-05 07:59:18 EDT
Description of problem:
Starting the SW caused the problem. Only an empty window is opened and closed after a few seconds.

Version-Release number of selected component:
policycoreutils-gui-2.1.14-46.4.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -Es /usr/bin/selinux-polgengui
dso_list:       policycoreutils-python-2.1.14-46.4.fc19.x86_64
executable:     /usr/bin/selinux-polgengui
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
__init__.py:284:gen_interfaces:ValueError: You must regenerate interface info by running /usr/bin/sepolgen-ifgen

Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 765, in <module>
    app = childWindow()
  File "/usr/bin/selinux-polgengui", line 329, in __init__
    for u in sepolicy.interface.get_user():
  File "/usr/lib64/python2.7/site-packages/sepolicy/interface.py", line 106, in get_user
    for i in sepolicy.get_methods():
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 211, in get_methods
    gen_interfaces()
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 284, in gen_interfaces
    raise ValueError(_("You must regenerate interface info by running /usr/bin/sepolgen-ifgen"))
ValueError: You must regenerate interface info by running /usr/bin/sepolgen-ifgen

Local variables in innermost frame:
headers: '/usr/share/selinux/devel/include'
rebuild: False
commands: <module 'commands' from '/usr/lib64/python2.7/commands.pyc'>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
ifile: '/var/lib/sepolgen/interface_info'
Comment 1 Andre Vehreschild 2013-07-05 07:59:22 EDT
Created attachment 769229 [details]
File: backtrace
Comment 2 Andre Vehreschild 2013-07-05 07:59:25 EDT
Created attachment 769230 [details]
File: core_backtrace
Comment 3 Andre Vehreschild 2013-07-05 07:59:27 EDT
Created attachment 769231 [details]
File: environ
Comment 4 Daniel Walsh 2013-07-09 12:32:57 EDT
/usr/bin/sepolgen-ifgen 
Should fix your problem, but I will fix the python to catch the exception.
Comment 5 Andre Vehreschild 2013-07-09 13:28:17 EDT
Hi Daniel,

thx, that fixed my problem. Unfortunately I read after I had submitted the report.

Thanks anyway,
Andre
Comment 6 Daniel Walsh 2013-07-11 15:08:34 EDT
Fixed in policycoreutils-2.1.14-63.el7
Comment 7 Daniel Walsh 2013-07-11 15:09:40 EDT
Make that  policycoreutils-2.1.14-63.f20

Note You need to log in before you can comment on or make changes to this bug.